"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useComponentCompareQuery = exports.QUERY_COMPONENT_COMPARE = void 0;
const ui_foundation_ui_hooks_use_data_query_1 = require("@teambit/ui-foundation.ui.hooks.use-data-query");
const client_1 = require("@apollo/client");
exports.QUERY_COMPONENT_COMPARE = (0, client_1.gql) `
  query ComponentCompare($baseId: String!, $compareId: String!, $fileName: String, $aspectName: String) {
    getHost {
      id
      compareComponent(baseId: $baseId, compareId: $compareId) {
        id
        code(fileName: $fileName) {
          status
          fileName
          diffOutput
          baseContent
          compareContent
        }
        aspects(aspectName: $aspectName) {
          fieldName
          diffOutput
        }
      }
    }
  }
`;
const useComponentCompareQuery = (baseId, compareId, options, skip) => {
    const { data, loading } = (0, ui_foundation_ui_hooks_use_data_query_1.useDataQuery)(exports.QUERY_COMPONENT_COMPARE, {
        variables: Object.assign(Object.assign({}, (options || {})), { baseId,
            compareId }),
        skip: skip || !baseId || !compareId,
    });
    return {
        loading,
        componentCompareData: data === null || data === void 0 ? void 0 : data.getHost.compareComponent,
    };
};
exports.useComponentCompareQuery = useComponentCompareQuery;
//# sourceMappingURL=use-component-compare.js.map